> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Customer Address

PUT https://api.bigcommerce.com/stores/{store_hash}/v2/customers/{customer_id}/addresses/{customer_address_id}
Content-Type: application/json

Updates a *Customer Address*. 

**Read Only Fields**
*   id
*   country_iso2

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/customers/v2/customer-addresses/update-customer-address

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `customer_id` (integer, required) — Unique numeric ID of the customer.
- `customer_address_id` (integer, required) — ID of the customer address.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects an object.

- `first_name` (string, required) — The customer’s first name.
- `last_name` (string, required) — The customer’s last name.
- `street_1` (string, required) — The customer’s street address, line 1.
- `city` (string, required) — The customer’s city/town/suburb.
- `state` (string, required) — The customer’s state/province. Do not abbreviate the state; spell out the entire word. For example, California. (Cannot be null. As a workaround for addresses that include no state/province string, pass a space as the “state” value.)
- `zip` (string, required) — The customer’s ZIP or postal code.
- `country` (string, required) — The customer’s country. Must be the full country name.
- `phone` (string, required) — The customer’s phone number.
- `id` (integer, optional) — ID of this customer address. Read-Only.
- `customer_id` (integer, optional) — ID of the associated customer.
- `company` (string, optional) — The customer’s company name.
- `street_2` (string, optional) — The customer’s street address, line 2.
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the customer’s country. Read-Only.
- `address_type` (enum, optional)
  - Allowed values: `residential`, `commercial`

## Response

### 200

OK

- `city` (string, required) — The customer’s city/town/suburb.
- `country` (string, required) — The customer’s country. Must be the full country name.
- `first_name` (string, required) — The customer’s first name.
- `last_name` (string, required) — The customer’s last name.
- `phone` (string, required) — The customer’s phone number.
- `state` (string, required) — The customer’s state/province. Do not abbreviate the state; spell out the entire word. For example, California. (Cannot be null. As a workaround for addresses that include no state/province string, pass a space as the “state” value.)
- `street_1` (string, required) — The customer’s street address, line 1.
- `zip` (string, required) — The customer’s ZIP or postal code.
- `address_type` (enum, optional)
  - Allowed values: `residential`, `commercial`
- `company` (string, optional) — The customer’s company name.
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the customer’s country. Read-Only.
- `customer_id` (integer, optional) — ID of the associated customer.
- `id` (integer, optional) — ID of this customer address. Read-Only.
- `street_2` (string, optional) — The customer’s street address, line 2.

## Examples

**Request**

```json
{
  "first_name": "Jane",
  "last_name": "Doe",
  "street_1": "123 Main Street",
  "city": "Austin",
  "state": "Texas",
  "zip": "78726",
  "country": "United States",
  "phone": "123-345-7890",
  "customer_id": 5,
  "company": "BigCommerce",
  "street_2": "",
  "address_type": "residential"
}
```

**Response**

```json
{
  "city": "Austin",
  "country": "United States",
  "first_name": "Jane",
  "last_name": "Doe",
  "phone": "123-345-7890",
  "state": "Texas",
  "street_1": "123 Main Street",
  "zip": "78726",
  "address_type": "residential",
  "company": "BigCommerce",
  "country_iso2": "US",
  "customer_id": 5,
  "id": 3,
  "street_2": "string"
}
```

**SDK Code**

```python Response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1"

payload = {
    "first_name": "Jane",
    "last_name": "Doe",
    "street_1": "123 Main Street",
    "city": "Austin",
    "state": "Texas",
    "zip": "78726",
    "country": "United States",
    "phone": "123-345-7890",
    "customer_id": 5,
    "company": "BigCommerce",
    "street_2": "",
    "address_type": "residential"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"first_name":"Jane","last_name":"Doe","street_1":"123 Main Street","city":"Austin","state":"Texas","zip":"78726","country":"United States","phone":"123-345-7890","customer_id":5,"company":"BigCommerce","street_2":"","address_type":"residential"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1"

	payload := strings.NewReader("{\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"street_1\": \"123 Main Street\",\n  \"city\": \"Austin\",\n  \"state\": \"Texas\",\n  \"zip\": \"78726\",\n  \"country\": \"United States\",\n  \"phone\": \"123-345-7890\",\n  \"customer_id\": 5,\n  \"company\": \"BigCommerce\",\n  \"street_2\": \"\",\n  \"address_type\": \"residential\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"street_1\": \"123 Main Street\",\n  \"city\": \"Austin\",\n  \"state\": \"Texas\",\n  \"zip\": \"78726\",\n  \"country\": \"United States\",\n  \"phone\": \"123-345-7890\",\n  \"customer_id\": 5,\n  \"company\": \"BigCommerce\",\n  \"street_2\": \"\",\n  \"address_type\": \"residential\"\n}"

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"street_1\": \"123 Main Street\",\n  \"city\": \"Austin\",\n  \"state\": \"Texas\",\n  \"zip\": \"78726\",\n  \"country\": \"United States\",\n  \"phone\": \"123-345-7890\",\n  \"customer_id\": 5,\n  \"company\": \"BigCommerce\",\n  \"street_2\": \"\",\n  \"address_type\": \"residential\"\n}")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1', [
  'body' => '{
  "first_name": "Jane",
  "last_name": "Doe",
  "street_1": "123 Main Street",
  "city": "Austin",
  "state": "Texas",
  "zip": "78726",
  "country": "United States",
  "phone": "123-345-7890",
  "customer_id": 5,
  "company": "BigCommerce",
  "street_2": "",
  "address_type": "residential"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"first_name\": \"Jane\",\n  \"last_name\": \"Doe\",\n  \"street_1\": \"123 Main Street\",\n  \"city\": \"Austin\",\n  \"state\": \"Texas\",\n  \"zip\": \"78726\",\n  \"country\": \"United States\",\n  \"phone\": \"123-345-7890\",\n  \"customer_id\": 5,\n  \"company\": \"BigCommerce\",\n  \"street_2\": \"\",\n  \"address_type\": \"residential\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "first_name": "Jane",
  "last_name": "Doe",
  "street_1": "123 Main Street",
  "city": "Austin",
  "state": "Texas",
  "zip": "78726",
  "country": "United States",
  "phone": "123-345-7890",
  "customer_id": 5,
  "company": "BigCommerce",
  "street_2": "",
  "address_type": "residential"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/customers/1/addresses/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```